package automotoras06;

import java.sql.*;

/**
 *
 * @author Administrador
 */
public class GestorConexion {

    /**
     * driver necesario para comunicacion SQL
     */
    public static final String driver = "com.mysql.jdbc.Driver";
    /**
     * direccion ip de nuestra base de datos, y elnombre de la base de datos
     */
    public static final String url = "jdbc:mysql://127.0.0.1/topicoss05";
    /**
     * nombre del usuario
     */
    public static final String usuario = "root";
    /**
     * su contraseña respectiva
     */
    public static final String contrasena = "";

    // vamos a mantener una conexion viva todo el tiempo, y va a ser compartida
    // por todos.
    private static Connection conexion;

    /**
     * este metedo es el encargado de tener una conexion con la base de datos
     * todo el tiempo.
     * @return Connection
     */
    public static Connection getConexion() {
        try {
            if ((conexion == null) || (!conexion.isValid(0))) {
                Class.forName(driver);
                conexion = DriverManager.getConnection(url, usuario, contrasena);
            }
            return conexion;
        } catch (ClassNotFoundException ex) {
            System.err.print("No se pudo cargar el driver");
            return null;
        } catch (SQLException ex) {
            System.err.print("Se produjo una falla al ejecutar SQL" + ex);
            return null;
        }
    }
}
